nlohmann::detail::wide_string_input_adapter
json.hpp
typename BaseInputAdapter
typename WideCharType
char using nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::char_type = char char_type
BaseInputAdapter BaseInputAdapter nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::base_adapter base_adapter
std::array< std::char_traits< char >::int_type, 4 > std::array<std::char_traits<char>::int_type, 4> nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::utf8_bytes utf8_bytes = {{0, 0, 0, 0}}

a buffer for UTF-8 bytes

std::size_t std::size_t nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::utf8_bytes_index utf8_bytes_index = 0

index to the utf8_codes array for the next valid byte

std::size_t std::size_t nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::utf8_bytes_filled utf8_bytes_filled = 0

number of valid bytes in the utf8_codes array

nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::wide_string_input_adapter
(BaseInputAdapter base)
wide_string_input_adapter
BaseInputAdapter base
std::char_traits< char >::int_type std::char_traits<char>::int_type nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::get_character () noexcept get_character JSON_ASSERT
size_t T T
void void nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::fill_buffer () fill_buffer
size_t
nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >
-utf8_bytes
-base_adapter
-utf8_bytes_filled
-utf8_bytes_index
T
std::array< T >
+elements
int_type
BaseInputAdapter
std::array< std::char_traits< char >::int_type, 4 >
+elements
< std::char_traits< char >::int_type, 4 >
- nlohmann::detail::wide_string_input_adapter
  base_adapter
- nlohmann::detail::wide_string_input_adapter
  char_type
- nlohmann::detail::wide_string_input_adapter
  fill_buffer
- nlohmann::detail::wide_string_input_adapter
  get_character
- nlohmann::detail::wide_string_input_adapter
  utf8_bytes
- nlohmann::detail::wide_string_input_adapter
  utf8_bytes_filled
- nlohmann::detail::wide_string_input_adapter
  utf8_bytes_index
- nlohmann::detail::wide_string_input_adapter
  wide_string_input_adapter